# DirectionMap

Package tourplaner.business

## Class DirectionMap

- java.lang.Object
- - tourplaner.business.DirectionMap

    public class DirectionMap
    extends java.lang.Object

Zuständig für das besorgen der Map für die UI und PDF-Reports und für die Berechneten infos der Tour (Dauer, Strecke)

### Constructor Summary

Constructors
`DirectionMap​(java.lang.String start, java.lang.String ende, java.lang.String tourname)` Holt die Map als image und alle Daten zur berechneten Route

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDauer()` Get berechnete Dauer in Minuten
`double` `getStrecke()` Get berechnete Strecke

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectionMap

    public DirectionMap​(java.lang.String start,
                        java.lang.String ende,
                        java.lang.String tourname)
                 throws java.io.IOException

Holt die Map als image und alle Daten zur berechneten Route

Parameters:
  `start` - Startpunkt
  `ende` - Endpunkt
  `tourname` - Name der Aktuellen Tour
Throws:
  `java.io.IOException` - Fehler beim Image der Map

### Method Detail

#### getDauer

    public double getDauer()

Get berechnete Dauer in Minuten

Returns:
  Berechnete Dauer der Tour

#### getStrecke

    public double getStrecke()

Get berechnete Strecke

Returns:
  Berechnete Strecke der Tour